| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::RingEmitterFactory Class Reference

Factory class for particle emitter of type "Ring". More...

`#include <OgreRingEmitterFactory.h>`

Inheritance diagram for Ogre::RingEmitterFactory:
[legend]

## Public Member Functions
ParticleEmitter * | createEmitter (ParticleSystem *psys)
| See ParticleEmitterFactory. More...
virtual void | destroyEmitter (ParticleEmitter *e)
| Destroys the emitter pointed to by the parameter (for early clean up if required). More...
String | getName () const
| See ParticleEmitterFactory. More...

## Detailed Description

Factory class for particle emitter of type "Ring".

Remarks
  Creates instances of RingEmitter to be used in particle systems.

## Member Function Documentation

## ◆ getName()

String Ogre::RingEmitterFactory::getName | ( | void |  | ) | const
| inline virtual

See ParticleEmitterFactory.

Implements Ogre::ParticleEmitterFactory.

## ◆ createEmitter()

ParticleEmitter* Ogre::RingEmitterFactory::createEmitter | ( | ParticleSystem * | psys | ) |
| inline virtual

See ParticleEmitterFactory.

Implements Ogre::ParticleEmitterFactory.

References OGRE_NEW.

## ◆ destroyEmitter()

virtual void Ogre::ParticleEmitterFactory::destroyEmitter | ( | ParticleEmitter * | e | ) |
| virtual inherited

Destroys the emitter pointed to by the parameter (for early clean up if required).

The documentation for this class was generated from the following file:

- OgreRingEmitterFactory.h